using CanteenContracts.BindingModels;
using CanteenContracts.SearchModel;
using CanteenContracts.View;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CanteenContracts.StoragesContracts
{
    public interface IProductStorage
    {
        List<ProductViewModel> GetFullList();
        List<ProductViewModel> GetFilteredList(ProductSearchModel model);
        ProductViewModel? GetElement(ProductSearchModel model);
        ProductViewModel? Insert(ProductBindingModel model);
        ProductViewModel? Update(ProductBindingModel model);
        ProductViewModel? Delete(ProductBindingModel model);
    }
}
